VeraCrypt
aboutsummaryrefslogtreecommitdiff
path: root/src/Setup/FreeBSD/veracrypt-uninstall.sh
diff options
context:
space:
mode:
authorMounir IDRASSI <mounir.idrassi@idrix.fr>2017-07-09 23:41:53 +0200
committerMounir IDRASSI <mounir.idrassi@idrix.fr>2017-07-10 00:14:18 +0200
commit342b8636d839b93cc1fad1ecf48650116c1edf99 (patch)
treeb885eed277aee69c7ae4c60770a666654e01f41b /src/Setup/FreeBSD/veracrypt-uninstall.sh
parente27314954190a57f87d3b2dc3bf6911df70cb7ab (diff)
downloadVeraCrypt-342b8636d839b93cc1fad1ecf48650116c1edf99.tar.gz
VeraCrypt-342b8636d839b93cc1fad1ecf48650116c1edf99.zip
Add support for building under FreeBSD 11
Diffstat (limited to 'src/Setup/FreeBSD/veracrypt-uninstall.sh')
-rw-r--r--src/Setup/FreeBSD/veracrypt-uninstall.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/src/Setup/FreeBSD/veracrypt-uninstall.sh b/src/Setup/FreeBSD/veracrypt-uninstall.sh
new file mode 100644
index 00000000..f8f111e2
--- /dev/null
+++ b/src/Setup/FreeBSD/veracrypt-uninstall.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+V="$(mount | grep veracrypt_aux_mnt)"
+[ "$V" ] && echo Error: All volumes must be dismounted first. && exit 1
+
+rm -f /usr/bin/veracrypt
+rm -f /usr/share/applications/veracrypt.desktop
+rm -f /usr/share/pixmaps/veracrypt.xpm
+rm -fr /usr/share/veracrypt
+
+echo VeraCrypt uninstalled.
+rm -f /usr/bin/veracrypt-uninstall.sh